visNetwork-shiny {visNetwork} | R Documentation

## Shiny bindings for visNetwork

### Description

Output and render functions for using visNetwork within Shiny applications and interactive Rmd documents.

### Usage

    visNetworkOutput(outputId, width = "100%", height = "400px")

    renderVisNetwork(expr, env = parent.frame(), quoted = FALSE)

### Arguments

`outputId` | : output variable to read from
`width,height` | Must be a valid CSS unit (like `"100%"`, `"400px"`, `"auto"`) or a number, which will be coerced to a string and have `"px"` appended.
`expr` | An expression that generates a visNetwork
`env` | The environment in which to evaluate `expr`.
`quoted` | Is `expr` a quoted expression (with `quote()`)? This is useful if you want to save an expression in a variable.

### Examples

    ## Not run:

    # have a look to :
    shiny::runApp(system.file("shiny", package = "visNetwork"))

    ## End(Not run)

[Package visNetwork version 0.2.1 Index]